Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1516551

Summary: Deployment log should present deployoment error messages
Product: [JBoss] JBoss Enterprise Application Platform 6 Reporter: Vítor Corrêa <vcorrea>
Component: LoggingAssignee: kconner
Status: NEW --- QA Contact: Pavel Slavicek <pslavice>
Severity: medium Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: aos-bugs, brian.stansberry, hgomes, jcantril, jkaur, jperkins, kconner, pweil, rhowe, rmeggins
Target Milestone: ---Flags: hgomes: needinfo? (kconner)
Target Release: TBD EAP 7   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
deploy pack none

Description Vítor Corrêa 2017-11-22 21:55:20 UTC
Created attachment 1357865 [details]
deploy pack

Description of problem:

On JBoss EAP 7 1.4 xPaaS image, if a user deploys an EAR/WAR that doesn't successfully deploy, a <EAR/WAR file>.failed file is created in /opt/local/standalone/deployments which contains something along the lines of the attached file. If you are an end user and you are simply looking at the logs, you never receive an error that something is wrong, your application just fails to deploy the EAR/WAR and you get a 404 instead of a deployed application.


How reproducible:
1. Create a new project and deploy the package attached.


Actual results:
404 error when access the app.

Expected results:
Expect that would be sent to the logging interface so that a user could see there was an error deploying the WAR/EAR.

Additional info:
This behavior occurs anytime there is a problem with an JAR/WAR and it fails to deploy.

Comment 1 kconner 2017-11-27 15:15:08 UTC
Can you provide details of your test?  What is being logged is driven by EAP and not the xPaaS image so I suspect you are seeing the same behaviour as a standalone EAP instance but I would like to check.

Comment 5 Ryan Howe 2018-06-04 13:44:25 UTC
Is this issue regarding image "JBoss EAP 7 1.4 xPaaS" logging to stdout so that OpenShift Logging can capture failure messages? 

More information is needed to points to what exactly is being requested via this bug.